/*
 * rk_ResourceSet.c
 *
 * Copyright (c) 2003, 2004 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file rk_ResourceSet.c
 *
 * Native implementation of the Java rk.ResourceSet class.
 */

#include "config.h"

#include <stdio.h>
#include <string.h>
#include <unistd.h>

#include <sys/types.h>

#include <rk/rk.h>

#include "rk_util.h"

#include "rk_ResourceSet.h"

#define UNUSED_ARG(a) do {/* null */} while (&a == 0)

JNIEXPORT jlong JNICALL
Java_rk_ResourceSet_getUsage(JNIEnv *env, jclass java_class)
{
    rk_resource_set_t rs;
    jlong retval = 0;
    
    UNUSED_ARG(env);
    UNUSED_ARG(java_class);

    if( (rs = rk_proc_get_rset(getpid())) != NULL_RESOURCE_SET )
    {
	struct rk_resource_set_usage rsu;
	int rc;

	memset(&rsu, 0, sizeof(rsu));
	if( (rc = rk_resource_set_get_usage(rs, &rsu, NULL)) == 0 )
	{
	    retval = rsu.active_cpu_usage;
	}
	else
	{
	}
    }
    else
    {
    }
    return( retval );
}
